Package org.kapott.hbci.manager

## Class LogFilter

- java.lang.Object
- - org.kapott.hbci.manager.LogFilter

    public class LogFilter
    extends java.lang.Object

### Field Summary

Fields
`static int` `FILTER_IDS`
`static int` `FILTER_MOST`
`static int` `FILTER_NONE`
`static int` `FILTER_SECRETS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addSecretData​(java.lang.String secret, java.lang.String replacement, int level)`
`void` `clearSecretData()`
`java.lang.String` `filterLine​(java.lang.String line, int filterLevel)`
`static LogFilter` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FILTER_NONE

    public static final int FILTER_NONE

See Also:
  Constant Field Values

#### FILTER_SECRETS

    public static final int FILTER_SECRETS

See Also:
  Constant Field Values

#### FILTER_IDS

    public static final int FILTER_IDS

See Also:
  Constant Field Values

#### FILTER_MOST

    public static final int FILTER_MOST

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static LogFilter getInstance()

#### clearSecretData

    public void clearSecretData()

#### addSecretData

    public void addSecretData​(java.lang.String secret,
                              java.lang.String replacement,
                              int level)

#### filterLine

    public java.lang.String filterLine​(java.lang.String line,
                                       int filterLevel)